Subject: CCL: MOPAC 6 vs MOPAC 7

From: "Axel Mathieu" <AMathieu{at}tranzyme.com>
Date: Thu, 10 Feb 2005 21:18:57 -0500

Greetings,
 
I recently posted on CCL about problems with MOPAC 7 and an EF optimization, I'll summarize below. All adaptations (3 in all) that I've tried gave me the same problem ... EXCESS NUMBER OF CYCLES.
 
We have optimized the structure with GAMESS and have found that MOPAC 7 somehow always kills the optimization before MOPAC6 in GAMESS. However, I was unsuccessful at finding a good source for MOPAC 6 (certainly because it is quite old). I therefore ask if any of you have MOPAC 6 in any form (source or precompiled ...) to gracefully send to me to test. I'd like to install MOPAC 6 on Red Hat 9. Thanks for your help ...
 
In the mean time, I found an ef.f file in the MOPAC 7 source and sure enough there was a MXSTEP=100 variable on line 619. I changed it to 1 000 000, recompiled and it does not stop at 100 cycles!! Case closed? Not sure, I would still enjoy getting MOPAC 6 for comparison.
 
As promised, here are the responses I obtained for my initial post:
 
Original Post:
--------------------
Dear CCL'ers,
 
I've been running some AM1 calculations and whenever EF is used it never performs the optimization for more than 100 cycles. I've tried increasing ITRY and CYCLE but it still stays stuck at the default 100 cycles. Am I missing something here? Is this a bug in MOPAC 7?
 
Here are the keywords used: XYZ MMOK AM1 T=1D LET GNORM=0.01 NOINTER DUMP=60 EF ITRY=1000

RESPONSE 1
----------------------
I just checked whether we have comparable problems with our MOPAC7 version (a locally modified version of the MOPAC7
*******************************************************************************
** MOPAC FOR LINUX (PUBLIC DOMAIN VERSION) MTA ATOMKI, Debrecen,
95-JUN-21 **
*******************************************************************************
 
I have no problems to run 190 cycles. Obviously I do not have exactly your input. If you like I can run your input as test.
 
Our version has a corrctly operating COSMO. The COSMO in most MOPAC7 versions is buggy and not usable. So if you would need solvation please contact me.
 
Regards
 
Andreas
(author of COSMO and COSMO-RS)

My Response:
-----------------------------------
Unfortunately I could not send the molecule but I did obtain a copy from the public domain stated (ATOMKI) and I still get the same error ...
 
RESPONSE 2
----------------------
Did you try CYCLE or CYCLES (possible syntax error)? Also, is LET keyword really needed?
 
Hope it helps,
Best regards,
Igor Avilov.
 
My Response:
-----------------------------
Yes, but MOPAC 7 does not recognize either ... LET is necessary in my case for one of the bonds which is just a little too long (which probably does not help in optimizing in less than 100 cycles of EF I must admit). I have since used GEO-OK to reduce some of the errors outputted.

RESPONSE 3
-----------------------
I had the same problem.
I went one step further and tried to set MAXITR (or stg. like this) to 1000 instead of 200 in the iter.f source and recompiled. This variable is modified by ITRY keyword from the input as i understood. Interestingly, it did not change afterall and stopped at 100 (and not 200 as it should be) iterations. (Compilation was OK.) However, I had no time to make more research in this case.
Any solution for the problem is welcome.
Best wishes,
Csaba

My Response:
----------------------
Try the MXSTEP=nnn in ef.f ... ??!

I hope this helps at least one other person ;o)
Thank you to the community again for the prompt responses.
 
APM